/*
			    Endeavour InterPS

	For basic IO of the Endeavour InterPS (Inter Process) system.
 */

#ifndef EDVINTERPS_H
#define EDVINTERPS_H

#include <glib.h>
#include "cfg.h"


extern gint EDVInterPSGetLock(const cfg_item_struct *cfg_list);
extern void EDVInterPSMakeLock(
	const cfg_item_struct *cfg_list,
	gint p, gboolean force
);
extern void EDVInterPSRemoveLock(const cfg_item_struct *cfg_list);

extern gboolean EDVInterPSHaveCommand(const cfg_item_struct *cfg_list);
extern void EDVInterPSSendCommand(
	const cfg_item_struct *cfg_list,
	gint p, gchar **cmdv, gint cmdc
);
extern gchar **EDVInterPSGetCommand(
	const cfg_item_struct *cfg_list,
	gint *total
);
extern void EDVInterPSRemoveCommand(const cfg_item_struct *cfg_list);


#endif	/* EDVINTERPS_H */
